Skip to main content
PUT
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
segments
/
{segmentId}
Edit segment
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments/{segmentId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lang": "<string>",
  "text": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments/{segmentId}"

payload = {
"lang": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({lang: '<string>', text: '<string>'})
};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/segments/{segmentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Translation memory UID

segmentId
string
required

Segment ID to update

Body

application/json

Translation update payload

lang
string
required
text
string
required

Response

No Content